petsc-3.4.2 2013-07-02

# PetscCUSPFlag

indicates which memory (CPU, GPU, or none contains valid vector

### Synopsis

    typedef enum {PETSC_CUSP_UNALLOCATED,PETSC_CUSP_GPU,PETSC_CUSP_CPU,PETSC_CUSP_BOTH} PetscCUSPFlag;

PETSC_CUSP_UNALLOCATED - no memory contains valid matrix entries; NEVER used for vectors PETSC_CUSP_GPU - GPU has valid vector/matrix entries PETSC_CUSP_CPU - CPU has valid vector/matrix entries PETSC_CUSP_BOTH - Both GPU and CPU have valid vector/matrix entries and they match

Level:developer
Location:include/petsc-private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages